### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.filters.markdown`

Markdown filters This file contains a collection of utility filters for dealing with markdown within Jinja templates.

## 1 Class

class `IPython.nbconvert.filters.markdown.``NodeJSMissing`

  Bases: `IPython.nbconvert.utils.exceptions.ConversionException`

  Exception raised when node.js is missing.

## 5 Functions

`IPython.nbconvert.filters.markdown.``markdown2latex`(source)

  Convert a markdown string to LaTeX via pandoc.

  This function will raise an error if pandoc is not installed. Any error messages generated by pandoc are printed to stderr.

  Parameters :

  source : string

  > Input string, assumed to be valid markdown.

  Returns :

  out : string

  > Output as returned by pandoc.

`IPython.nbconvert.filters.markdown.``markdown2html`(source)

  Convert a markdown string to HTML

`IPython.nbconvert.filters.markdown.``markdown2html_pandoc`(source)

  Convert a markdown string to HTML via pandoc

`IPython.nbconvert.filters.markdown.``markdown2html_marked`(source, encoding='utf-8')

  Convert a markdown string to HTML via marked

`IPython.nbconvert.filters.markdown.``markdown2rst`(source)

  Convert a markdown string to ReST via pandoc.

  This function will raise an error if pandoc is not installed. Any error messages generated by pandoc are printed to stderr.

  Parameters :

  source : string

  > Input string, assumed to be valid markdown.

  Returns :

  out : string

  > Output as returned by pandoc.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »